Name:           perl-Math-GMP
Version:        2.03
Release:        1mdk
License:        GPL

%define realname        Math-GMP
Group:          Development/Perl
Summary:        High speed arbitrary size integer math
Source0:        ftp://ftp.perl.org/pub/CPAN/modules/by-module/Math/%{realname}-%{version}.tar.bz2
Url:            http://www.cpan.org
Prefix:         %{_prefix}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  perl-devel gmp-devel
Requires:       perl
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
Math::GMP was designed to be a drop-in replacement both for
Math::BigInt and for regular integer arithmetic. Unlike
BigInt,  though,  Math::GMP  uses  the  GNU  gmp  library
for  all of its calculations, as opposed to straight Perl
functions. This can result in speed improvements.

%prep
%setup -q -n %{realname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc LICENSE README
%{perl_vendorarch}/*
%{_mandir}/*/*

%changelog
* Thu Nov  6 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.03-1mdk
- New package
